Page MenuHomePhabricator

Cannot access gerrit change 154757
Closed, ResolvedPublic

Description

Visiting https://gerrit.wikimedia.org/r/#/c/154757/ says "The page you requested was not found, or you do not have permission to view this page." James said he can't see it either.

But based on T71685#738541 (and I remember writing it), I uploaded this patch, so why can't I see it? :/

Event Timeline

Legoktm created this task.Oct 27 2015, 8:10 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a project: Gerrit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 27 2015, 8:10 PM
Legoktm set Security to None.Oct 27 2015, 8:10 PM
Legoktm edited subscribers, added: Jdforrester-WMF; removed: Jdforrester-PERSONAL.
Dzahn added a subscriber: Dzahn.Oct 27 2015, 8:11 PM

ack, also getting permission error here with my user

Dzahn added a comment.May 27 2016, 9:45 PM

this is in "integration/config" repo. tried to "git review -d" , but also:

Could not fetch review information for change 154757

gerrit> select * from changes where change_id = 154757;
 change_key                                | created_on            | last_updated_on       | sort_key         | owner_account_id | dest_project_name                      | dest_branch_name  | open | status | current_patch_set_id | subject                                                                      | topic | row_version | change_id | last_sha1_merge_tested                   | mergeable
 ------------------------------------------+-----------------------+-----------------------+------------------+------------------+----------------------------------------+-------------------+------+--------+----------------------+------------------------------------------------------------------------------+-------+-------------+-----------+------------------------------------------+----------
 Ib2248544cd750a010d6a137960bad4dc71997a46 | 2014-08-18 07:35:33.0 | 2014-09-25 11:06:17.0 | 0030053a00025c85 | 458              | integration/jenkins-job-builder-config | refs/heads/master | Y    | n      | 5                    | Add code coverage template for extensions and try to add one for GlobalCssJs | NULL  | 38          | 154757    | 7487fd764984e97550fad755fbe5030f217ccc00 | N
(1 row; 2 ms)

This project integration/jenkins-job-builder-config was deleted on gerrit but can be found on phabricator but inactive https://phabricator.wikimedia.org/diffusion/CIJC/

Thank you @Paladox and @Krenair so that explains _why_ it can't be accessed. I'm not sure if we should close it but i guess so.

mysql:gerrit@m2-master.eqiad.wmnet [reviewdb]> select * from patch_sets where change_id="154757";
+------------------------------------------+---------------------+---------------------+-----------+--------------+-------+
| revision                                 | uploader_account_id | created_on          | change_id | patch_set_id | draft |
+------------------------------------------+---------------------+---------------------+-----------+--------------+-------+
| 6c955ef8bce9d3815b992e6c8ee009e31e0f79a5 |                 458 | 2014-08-18 07:35:33 |    154757 |            1 | N     |
| 0afa0c6c4f6b6025cd6aa1cb60b557c7fd77b0a6 |                 458 | 2014-09-09 10:46:05 |    154757 |            2 | N     |
| 90a7002eb4149a2b07cbd884eec34e4244469b16 |                 458 | 2014-09-09 10:49:19 |    154757 |            3 | N     |
| 9279c317a171a85d791396666253ccd9a0721df2 |                 458 | 2014-09-15 09:18:08 |    154757 |            4 | N     |
| 612a372d070f5ed28e8c3ede0c00287616275c2f |                 458 | 2014-09-15 09:19:20 |    154757 |            5 | N     |
+------------------------------------------+---------------------+---------------------+-----------+--------------+-------+
5 rows in set (0.00 sec)

15:19 < legoktm> the two repositories used to be separate
15:19 < mutante> aha!
15:19 < legoktm> but it just got deleted entirely?

15:20 < paladox> legoktm: I found https://phabricator.wikimedia.org/diffusion/CIJC/manage/uris/

Dzahn closed this task as Resolved.May 27 2016, 10:25 PM
Dzahn claimed this task.